com.oracle.truffle.api

## Interface CompilerOptions

All Known Implementing Classes:
  DefaultCompilerOptions

    public interface CompilerOptions

Allows options to be set to control the compilation of a specific `RootNode`, without creating a dependency on the specific compiler used. Options can be tested for support before setting.

### Method Summary

Methods
`void` `setOption(java.lang.String name, java.lang.Object value)`
`boolean` `supportsOption(java.lang.String name)`

### Method Detail

#### supportsOption

    boolean supportsOption(java.lang.String name)

#### setOption

    void setOption(java.lang.String name,
                 java.lang.Object value)